﻿@model Infraestrutura.ViewModels.HackathonInscriçãoViewModel

<h2 class="display-4">Inscrição do Hackathon</h2>


@if (Model.Validação.Erro)
{
    <div class="alert alert-danger" role="alert" id="Erros">
        @Model.Validação.MensagemErro
    </div>
}
else
{
    <div class="alert alert-danger d-none" role="alert" id="Erros">
        @Model.Validação.MensagemErro
    </div>
}

<form asp-controller="Inscrever" asp-action="InscreverHackathon" asp-antiforgery="true" method="post">
    <div class="form-group">
        <label for="Equipe">Nome da Equipe*</label>
        <input type="text" class="form-control" id="Equipe" required asp-for="NomeEquipe">
    </div>
    <div class="form-group">
        <label for="Membros">Nome Completo dos Outros Membros</label>
        <textarea class="form-control" id="Membros" rows="3" asp-for="NomeMembros"></textarea>
    </div>


    <div class="form-group form-check">
        <input type="checkbox" class="form-check-input" id="exampleCheck1" required asp-for="Aceitou">
        <label class="form-check-label" for="exampleCheck1">Declaro que li e aceito o <a asp-controller="Info" asp-action="Hackathon" target="_blank">regulamento</a>.</label>
    </div>
    <input type="submit" value="Inscrever" />
</form>